| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | Protected Member Functions | List of all members
StatefulController Class Reference
UIExtension » controllers

This Controller class encapsulates the implementation logic for IStateHandler registration and toggle event listening. A customization example:

class MyStateHandlerClass extends PDFViewCtrl.IStateHandler {
// ...
}
class MyStateController extends UIExtension.controllers.StatefulController {
constructor(component) {
super(component, MyStateHandlerClass);
}
}

. More...

Inheritance diagram for StatefulController:

## Public Member Functions
| constructor (component, ExpectedStateHandlerClass)
| Classes inherit from StatefulController must override this contructor and passing a class inherit from IStateHandler into `super()` function. If that StateHandler class has been registed, you can also passing the state handler name instead of class into `super()` function. More...
Public Member Functions inherited from Controller
| constructor (component)
| destroy ()
| Destruction this controller instance after component destroyed.
| getComponentByName (name)
| handle (...args)
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...

## Protected Member Functions
| stateIn ()
| Triggered when the viewer state switched into this 'ExpectedStateHandlerClass'. More...
| stateOut ()
| Triggered when the viewer state switched into another StateHandlerClass. More...
Protected Member Functions inherited from Controller
| mounted ()
| This method is called after the component is inserted into DOM tree, where you can add some event listeners to the component or handle any other tasks. More...
| postlink ()
| This method is called during component postlink lifecycle. More...
| prelink ()
| This method is called during component prelink lifecycle. More...

## Additional Inherited Members
Static Public Member Functions inherited from Controller
static | extend (proto, statics)
| Extends from Controller class and generates a new Controller class! More...
static | getName ()
| Name of the controller class used in @controller directive. More...
Static Protected Member Functions inherited from Controller
static | services ()
Protected Attributes inherited from Controller
Component | component
| The component of this controller. More...

## Detailed Description

This Controller class encapsulates the implementation logic for IStateHandler registration and toggle event listening. A customization example:

class MyStateHandlerClass extends PDFViewCtrl.IStateHandler {
// ...
}
class MyStateController extends UIExtension.controllers.StatefulController {
constructor(component) {
super(component, MyStateHandlerClass);
}
}

.

See also
  PDFViewer::getStateHandlerManager()
  StateHandlerManager
  IStateHandler

Since
  7.0.0

## Member Function Documentation

## ◆ constructor()

constructor | ( |  | component,
|  |  | ExpectedStateHandlerClass
| ) |  |
| inline

Classes inherit from StatefulController must override this contructor and passing a class inherit from IStateHandler into `super()` function. If that StateHandler class has been registed, you can also passing the state handler name instead of class into `super()` function.

Example 1, passing a MyStateHandlerClass into super():

class MyStateHandlerClass extends PDFViewCtrl.IStateHandler {
// ...
}
class MyStateController extends UIExtension.controllers.StatefulController {
constructor(component) {
super(component, MyStateHandlerClass);
}
}

Example 2, passing state handler name into super():

class MystateController extends UIExtension.controllers.StatefulController {
constructor(component) {
super(component, 'your-custom-state-name');
}
}

Parameters

  component | Component -
  ExpectedStateHandlerClass | string|(new()=>IStateHandler) -

See also
  IStateHandler

## ◆ stateIn()

StatefulController::stateIn | ( |  | ) |
| inline protected

Triggered when the viewer state switched into this 'ExpectedStateHandlerClass'.

Returns
  void

## ◆ stateOut()

StatefulController::stateOut | ( |  | ) |
| inline protected

Triggered when the viewer state switched into another StateHandlerClass.

Returns
  void

@2025 Foxit Software Incorporated. All rights reserved.